/*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)ucblibc:port/gen/nlist.c	1.1"

/*******************************************************************

		PROPRIETARY NOTICE (Combined)

This source code is unpublished proprietary information
constituting, or derived under license from AT&T's UNIX(r) System V.
In addition, portions of such source code were derived from Berkeley
4.3 BSD under license from the Regents of the University of
California.



		Copyright Notice 

Notice of copyright on this source code product does not indicate 
publication.

	(c) 1986,1987,1988,1989  Sun Microsystems, Inc
	(c) 1983,1984,1985,1986,1987,1988,1989  AT&T.
	          All rights reserved.
********************************************************************/ 
 
#include <a.out.h>
#include <sys/fcntl.h>

/*
 * nlist - retreive attributes from name list (string table version)
 *         [The actual work is done in _nlist.c]
 */
nlist(name, list)
        const char *name;
        struct nlist *list;
{
        register int fd;
        register int e;

        fd = open(name, O_RDONLY, 0);
        e = _nlist(fd, list);
        close(fd);
        return (e);
}
